Licenses

Return the details of the current license in use by the Octopus Cluster

GET /api/licenses/licenses-current

Response

200 — The requested License

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LicenseText string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SerialNumber string

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LicenseText": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SerialNumber": "string"
}

Update the current Octopus cluster license

PUT /api/licenses/licenses-current

Updates the license for the Octopus cluster.

Request Body

  • LicenseText string
  • SerialNumber string

Response

200 — Confirmation that the Current License has been modified, containing the new License

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • LicenseText string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SerialNumber string

Example Request

JSON
{
  "LicenseText": "string",
  "SerialNumber": "string"
}

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "LicenseText": "string",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SerialNumber": "string"
}

Return a list of enabled features from the license

GET /api/licenses/licenses-current-features

Response

200 — The list of enabled features from the license

  • EnabledFeatures array of string

Example Response

JSON
{
  "EnabledFeatures": [
    "string"
  ]
}

Get the status of the current Octopus license

GET /api/licenses/licenses-current-status

Calculates the status of the current Octopus license including compliance and maintenance expiry.

Response

200 — The requested License Status

  • ComplianceSummary string
  • DaysToEffectiveExpiryDate integer
  • DoesExpiryBlockKeyActivities boolean
  • EffectiveClusterTaskLimit integer
  • EffectiveExpiryDate string
  • EffectiveNodeTaskLimit integer
  • EffectiveStartDate string
  • HostingEnvironment string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsClusterTaskLimitControlledByLicense boolean
  • IsCompliant boolean
  • IsInitialisationLicense boolean
  • IsNodeTaskLimitControlledByLicense boolean
  • IsPtm boolean
  • IsTrial boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Limits array of object
    • CurrentUsage integer
    • Disposition enum
      Allowed values: Information, Notice, Warning, Error.
    • EffectiveLimit integer
    • EffectiveLimitDescription string
    • IsUnlimited boolean
    • LicenseLimitDescription string
    • LicensedLimit integer
    • LimitStatus enum
      Allowed values: UnderLimit, AlmostAtLimit, AtLimit, InOverrun, ExceedingLimit.
    • Message string
    • Name string
    • TargetTypes array of string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Messages array of object
    • Disposition enum
      Allowed values: Information, Notice, Warning, Error.
    • Message string
    • MessagePolicy enum
      Allowed values: LicensePeriodPolicy, AuditStreamPolicy, InsightsLicensePolicy, TimeLimitedPolicy, MaintenancePeriodPolicy, TimeLimitedTestLicensePolicy, CommunityEditionPolicy, NodeLimitPolicy.
  • PermissionsMode enum
    Allowed values: Unspecified, Restricted, Full.
  • SerialNumber string

Example Response

JSON
{
  "ComplianceSummary": "string",
  "DaysToEffectiveExpiryDate": 0,
  "DoesExpiryBlockKeyActivities": true,
  "EffectiveClusterTaskLimit": 0,
  "EffectiveExpiryDate": "string",
  "EffectiveNodeTaskLimit": 0,
  "EffectiveStartDate": "string",
  "HostingEnvironment": "string",
  "Id": "string",
  "IsClusterTaskLimitControlledByLicense": true,
  "IsCompliant": true,
  "IsInitialisationLicense": true,
  "IsNodeTaskLimitControlledByLicense": true,
  "IsPtm": true,
  "IsTrial": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Limits": [
    {
      "CurrentUsage": 0,
      "Disposition": "Information",
      "EffectiveLimit": 0,
      "EffectiveLimitDescription": "string",
      "IsUnlimited": true,
      "LicenseLimitDescription": "string",
      "LicensedLimit": 0,
      "LimitStatus": "UnderLimit",
      "Message": "string",
      "Name": "string",
      "TargetTypes": [
        "string"
      ]
    }
  ],
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "Messages": [
    {
      "Disposition": "Information",
      "Message": "string",
      "MessagePolicy": "LicensePeriodPolicy"
    }
  ],
  "PermissionsMode": "Unspecified",
  "SerialNumber": "string"
}

Get the usage of the current Octopus server

GET /api/licenses/licenses-current-usage

Calculates the usage of the current Octopus server.

Response

200 — Success

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsPtm boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Limits array of object
    • CurrentUsage integer
    • Disposition enum
      Allowed values: Information, Notice, Warning, Error.
    • EffectiveLimit integer
    • EffectiveLimitDescription string
    • IsUnlimited boolean
    • LicenseLimitDescription string
    • LicensedLimit integer
    • LimitStatus enum
      Allowed values: UnderLimit, AlmostAtLimit, AtLimit, InOverrun, ExceedingLimit.
    • LimitUsageDescription string
    • Message string
    • Name string
    • TargetTypes array of string
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • SpacesUsage array of object
    • MachinesCount integer
    • ProjectsCount integer
    • SpaceName string
    • TenantsCount integer

Example Response

JSON
{
  "Id": "string",
  "IsPtm": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Limits": [
    {
      "CurrentUsage": 0,
      "Disposition": "Information",
      "EffectiveLimit": 0,
      "EffectiveLimitDescription": "string",
      "IsUnlimited": true,
      "LicenseLimitDescription": "string",
      "LicensedLimit": 0,
      "LimitStatus": "UnderLimit",
      "LimitUsageDescription": "string",
      "Message": "string",
      "Name": "string",
      "TargetTypes": [
        "string"
      ]
    }
  ],
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "SpacesUsage": [
    {
      "MachinesCount": 0,
      "ProjectsCount": 0,
      "SpaceName": "string",
      "TenantsCount": 0
    }
  ]
}